% Program example_11_2
%
%       Created for the book:                                                             
%   Ljiljana D. Milic,
%      Multirate Filtering for Digital Signal Processing: MATLAB Applications                     
%      Information Science Reference, Hershey, New York,  2009
%
N1 = 4; 
g = rectwin(N1); h1 = 1;
K = 5;
for l = 1:K
    h1 = conv(h1,g);
end

disp(h1') % Display the coefficients of the filter impulse response h1

% Polyphase components:
e0 = downsample(h1,4);
e1 = downsample(h1,4,1);
e2 = downsample(h1,4,2);
e3 = downsample(h1,4,3);
 
disp(e0'), disp(e1'), disp(e2'), disp(e3') % Display the coefficients of polyphase components e0, e1, e2, e3

